:man_page: mongoc_stream_socket_t

mongoc_stream_socket_t
======================

Synopsis
--------

.. code-block:: c

  typedef struct _mongoc_stream_socket_t mongoc_stream_socket_t

``mongoc_stream_socket_t`` should be considered a subclass of :symbol:`mongoc_stream_t` that works upon socket streams.

.. only:: html

  Functions
  ---------

  .. toctree::
    :titlesonly:
    :maxdepth: 1

    mongoc_stream_socket_get_socket
    mongoc_stream_socket_new

